diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/helper/wifi-tx-stats-helper.h ns-3.44/src/wifi/helper/wifi-tx-stats-helper.h
--- ns-3.43/src/wifi/helper/wifi-tx-stats-helper.h	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.44/src/wifi/helper/wifi-tx-stats-helper.h	2025-03-09 16:55:49.779372700 -0700
@@ -0,0 +1,389 @@
+/*
+ * Copyright (c) 2024 Huazhong University of Science and Technology
+ * Copyright (c) 2024 University of Washington
+ *
+ * SPDX-License-Identifier: GPL-2.0-only
+ *
+ * Authors:  Muyuan Shen <muyuan@uw.edu>
+ *           Hao Yin <haoyin@uw.edu>
+ */
+
+#ifndef WIFI_TX_STATS_HELPER_H
+#define WIFI_TX_STATS_HELPER_H
+
+#include "ns3/nstime.h"
+#include "ns3/object.h"
+#include "ns3/qos-utils.h"
+#include "ns3/type-id.h"
+#include "ns3/wifi-mac.h"
+#include "ns3/wifi-types.h"
+#include "ns3/wifi-utils.h"
+
+#include <cstdint>
+#include <functional>
+#include <map>
+#include <string>
+#include <tuple>
+#include <vector>
+
+namespace ns3
+{
+
+class NetDeviceContainer;
+class NodeContainer;
+class Time;
+class Packet;
+class WifiMpdu;
+
+/**
+ * @brief Statistics helper for tracking outcomes of data MPDU transmissions.
+ *
+ * This helper may be used to track statistics of all data MPDU transmissions on a given Node,
+ * WifiNetDevice, or even link granularity (for MLO operation), including counts of the
+ * number of successfully acknowledged MPDUs, the number of retransmissions (if any) of
+ * those successfully acknowledged MPDUs, and the number of failed MPDUs (by drop reason).
+ * The helper can also be used to access timestamped data about how long the MPDU was enqueued
+ * and how long it took to complete acknowledgement (or failure) once the first transmission
+ * of it was attempted. For failed MPDUs, their WifiMacDropReason can be accessed.
+ */
+class WifiTxStatsHelper
+{
+  public:
+    /**
+     * When Multi-Link Operation (MLO) is used, it is possible for MPDUs to be sent on
+     * multiple links concurrently.  When such an MPDU is acked, a question arises as to how
+     * to count the number of successes (only one success, or success on each link).  The
+     * ACK does not convey which transmission on which link triggered the event.  Therefore,
+     * two policies are defined for how to count a successful event.
+     * 1) FIRST_LINK_IN_SET: Count the success on the first link of the set of in-flight links
+     * 2) ALL_LINKS: Count the success on all links in the in-flight link set
+     */
+    enum MultiLinkSuccessType : uint8_t
+    {
+        FIRST_LINK_IN_SET,
+        ALL_LINKS
+    };
+
+    /**
+     * Structure for recording information about an individual data MPDU transmission.
+     */
+    struct MpduRecord
+    {
+        uint32_t m_nodeId{std::numeric_limits<uint32_t>::max()};   //!< The sending node ID
+        uint32_t m_deviceId{std::numeric_limits<uint32_t>::max()}; //!< The sending device ID
+        Time m_enqueueTime; //!< The enqueue time (time that the packet was added to a WifiMacQueue)
+        Time m_txStartTime; //!< The time at which the MPDU was first transmitted
+        std::optional<Time> m_dropTime;    //!< The time of removal from the WifiMacQueue, if failed
+        Time m_ackTime;                    //!< The time at which the MPDU was acknowledged
+        uint64_t m_mpduSeqNum{0};          //!< The MPDU sequence number
+        uint32_t m_retransmissions{0};     //!< A count of the number of retransmissions of the MPDU
+        uint8_t m_tid{WIFI_TID_UNDEFINED}; //!< The TID for the MPDU
+        std::set<uint8_t> m_successLinkIdSet; //!< If acked, the set of in-flight link ID(s)
+        std::optional<WifiMacDropReason> m_dropReason; //!< If failed, the drop reason
+    };
+
+    /**
+     *  Default constructor; start time initialized to zero and stop time to Time::Max()
+     */
+    WifiTxStatsHelper();
+    /**
+     * Construct a helper with start and stop times. Only those MPDUs
+     * enqueued between the start and stop times will be counted.
+     *
+     * @param startTime The measurement start time
+     * @param stopTime The measurement stop time
+     */
+    WifiTxStatsHelper(Time startTime, Time stopTime);
+
+    /**
+     * Enables trace collection for all nodes and WifiNetDevices in the specified NodeContainer.
+     * @param nodes The NodeContainer to which traces are to be connected.
+     */
+    void Enable(const NodeContainer& nodes);
+    /**
+     * Enables trace collection for all WifiNetDevices in the specified NetDeviceContainer.
+     * @param devices The NetDeviceContainer to which traces are to be connected.
+     */
+    void Enable(const NetDeviceContainer& devices);
+    /**
+     * @brief Set the start time for statistics collection
+     *
+     * No MPDUs enqueued before startTime will be included
+     * in the statistics.
+     *
+     * @param startTime The measurement start time
+     */
+    void Start(Time startTime);
+    /**
+     * @brief Set the stop time for statistics collection
+     *
+     * No MPDUs enqueued after stopTime elapses will be included in
+     * statistics. However, MPDUs that were enqueued before stopTime
+     * (and after startTime) will be included in the statistics if
+     * they are dequeued before the statistics are queried by the user.
+     *
+     * @param stopTime The measurement stop time
+     */
+    void Stop(Time stopTime);
+    /**
+     * @brief Clear the data structures for all completed successful and failed MpduRecords
+     */
+    void Reset();
+
+    //
+    // Hash function and unordered maps
+    //
+
+    /**
+     * Hash function for the tuples used in unordered_maps
+     */
+    struct TupleHash
+    {
+        /**
+         * Combines two hash values into one (similar to boost::hash_combine)
+         * @param seed the starting hash point
+         * @param value the value to combine to the hash
+         */
+        template <typename T>
+        void hash_combine(size_t& seed, const T& value) const
+        {
+            seed ^= std::hash<T>{}(value) + 0x9e3779b9 + (seed << 6) + (seed >> 2);
+        }
+
+        /**
+         * Hash function for tuples of arbitrary size
+         * @param tuple the input Tuple
+         * @return the hash of the tuple elements
+         */
+        template <typename Tuple, size_t Index = 0>
+        size_t tuple_hash(const Tuple& tuple) const
+        {
+            if constexpr (Index < std::tuple_size<Tuple>::value)
+            {
+                size_t seed = tuple_hash<Tuple, Index + 1>(tuple);
+                hash_combine(seed, std::get<Index>(tuple));
+                return seed;
+            }
+            else
+            {
+                return 0; // Base case
+            }
+        }
+
+        /**
+         * Operator overload for calculating hash of tuple
+         * @param tuple the input Tuple
+         * @return the hash of the tuple elements
+         */
+        template <typename... Args>
+        size_t operator()(const std::tuple<Args...>& tuple) const
+        {
+            return tuple_hash(tuple);
+        }
+    };
+
+    using CountPerNodeDeviceLink_t =
+        std::unordered_map<std::tuple<uint32_t, uint32_t, uint8_t>,
+                           uint64_t,
+                           TupleHash>; //!< std::unordered_map of {nodeId, deviceId, linkId} tuple
+                                       //!< to counter value
+    using CountPerNodeDevice_t =
+        std::unordered_map<std::tuple<uint32_t, uint32_t>,
+                           uint64_t,
+                           TupleHash>; //!< std::unordered_map of {nodeId, deviceId} tuple to
+                                       //!< counter value
+    using MpduRecordsPerNodeDeviceLink_t =
+        std::unordered_map<std::tuple<uint32_t, uint32_t, uint8_t>,
+                           std::list<MpduRecord>,
+                           TupleHash>; //!< std::unordered_map of {nodeId, deviceId, linkId} tuple
+                                       //!< to a list of MPDU records
+    using MpduRecordsPerNodeDevice_t =
+        std::unordered_map<std::tuple<uint32_t, uint32_t>,
+                           std::list<MpduRecord>,
+                           TupleHash>; //!< std::unordered_map of {nodeId, deviceId} tuple to a list
+                                       //!< of MPDU records
+
+    //
+    // Methods to retrieve the counts tabulated by this helper
+    //
+
+    /**
+     * @brief Return the counts of successful MPDU transmissions in a hash map
+     *
+     * The return type is an std::unordered_map, and the keys are tuples of {node ID,
+     * device ID}. The value returned by indexing the tuple is the count of
+     * successful MPDU transmissions.
+     *
+     * If Multi-Link Operation (MLO) is configured, a variant of this method is available
+     * that returns an unordered_map indexed by a tuple that includes the Link ID, for
+     * more granular statistics reporting.
+     * @see GetSuccessesByNodeDeviceLink
+     *
+     * If Multi-Link Operation (MLO) is configured, and MPDUs are sent on multiple
+     * links in parallel, this method will count one success for any such acknowledged
+     * MPDU (even if it was successfully received on more than one link).
+     *
+     * @return A hash map with counts of MPDU successful transmissions
+     */
+    CountPerNodeDevice_t GetSuccessesByNodeDevice() const;
+    /**
+     * @brief Return the counts of successful MPDU transmissions in a hash map
+     * @param type how the statistics handle a successful MPDU transmitted on multiple links
+     *
+     * The return type is an std::unordered_map, and the keys are tuples of {node ID,
+     * device ID, link ID}. The value returned by indexing the tuple is the count of
+     * successful MPDU transmissions.
+     *
+     * The link ID corresponds to the link for which the MPDU was successfully
+     * acknowledged, regardless of the links that may have been used in
+     * earlier transmissions of the MPDU.
+     *
+     * For a similar method that does not use Link IDs in the key,
+     * @see GetSuccessesByNodeDevice
+     *
+     * @return A hash map with counts of MPDU successful transmissions
+     */
+    CountPerNodeDeviceLink_t GetSuccessesByNodeDeviceLink(
+        WifiTxStatsHelper::MultiLinkSuccessType type = FIRST_LINK_IN_SET) const;
+    /**
+     * @brief Return the counts of failed MPDU transmissions in a hash map
+     *
+     * The return type is an std::unordered_map, and the keys are tuples of {node ID,
+     * device ID}. The value returned by indexing the tuple is the count of
+     * failed MPDU transmissions.
+     *
+     * The number of failures are only stored with the granularity
+     * of per-device, since in a multi-link scenario, some retransmissions
+     * (that lead to eventual failure) may occur on different links.
+     *
+     * @return A hash map with counts of MPDU failed transmissions
+     */
+    CountPerNodeDevice_t GetFailuresByNodeDevice() const;
+    /**
+     * @brief Return the counts of failed MPDU transmissions due to given drop reason in a hash map
+     * @param reason Reason for dropping the MPDU
+     *
+     * The return type is an std::unordered_map, and the keys are tuples of {node ID,
+     * device ID}. The value returned by indexing the tuple is the count of
+     * failed MPDU transmissions due to the reason given.
+     *
+     * The number of failures are only stored with the granularity
+     * of per-device, since in a multi-link scenario, some retransmissions
+     * (that lead to eventual failure) may occur on different links.
+     *
+     * @return A hash map with counts of MPDU failed transmissions
+     */
+    CountPerNodeDevice_t GetFailuresByNodeDevice(WifiMacDropReason reason) const;
+    /**
+     * @brief Return the counts of MPDU retransmissions in a hash map
+     *
+     * The return type is an std::unordered_map, and the keys are tuples of {node ID,
+     * device ID}. The value returned by indexing the tuple is the count of
+     * MPDU retransmissions of those MPDUs that were successfully acked.
+     *
+     * The number of retransmissions are only stored with the granularity
+     * of per-device, since in a multi-link scenario, some retransmissions
+     * may be sent on different links.
+     *
+     * @return A hash map with counts of MPDU retransmissions for successful MPDUs
+     */
+    CountPerNodeDevice_t GetRetransmissionsByNodeDevice() const;
+    /**
+     * @brief Return the count of successful MPDU transmissions across all enabled devices
+     *
+     * @return The count of all successful MPDU transmissions
+     */
+    uint64_t GetSuccesses() const;
+    /**
+     * @brief Return the count of failed MPDU transmissions across all enabled devices
+     *
+     * @return The count of all failed MPDU transmissions
+     */
+    uint64_t GetFailures() const;
+    /**
+     * @brief Return the count of failed MPDU transmissions due to given drop reason across
+     * all enabled devices
+     * @param reason Reason for dropping the MPDU
+     *
+     * @return The count of all failed MPDU transmissions for the specified reason
+     */
+    uint64_t GetFailures(WifiMacDropReason reason) const;
+    /**
+     * @brief Return the count of MPDU retransmissions across all enabled devices
+     *
+     * @return The count of all MPDU retransmissions for acked MPDUs
+     */
+    uint64_t GetRetransmissions() const;
+    /**
+     * @brief Return the duration since the helper was started or reset
+     *
+     * @return The duration since the helper was started or reset
+     */
+    Time GetDuration() const;
+    /**
+     * @brief Return a hash map of successful MPDU records
+     * @param type how the statistics handle a successful MPDU transmitted on multiple links
+     *
+     * The return type is an std::unordered_map, and the keys are tuples of {node ID,
+     * device ID, link ID}. The value returned by indexing the tuple is the list of MPDU
+     * records of the MPDUs that were successfully acked.
+     *
+     * @return A const reference to the hash map of successful MPDU records
+     */
+    const MpduRecordsPerNodeDeviceLink_t GetSuccessRecords(
+        WifiTxStatsHelper::MultiLinkSuccessType type = FIRST_LINK_IN_SET) const;
+    /**
+     * @brief Return a hash map of MPDU records for failed transmissions
+     *
+     * The return type is an std::unordered_map, and the keys are tuples of {node ID,
+     * device ID}. The value returned by indexing the tuple is the list of MPDU
+     * records of the MPDUs that failed.
+     *
+     * @return A const reference to the hash map of MPDU records corresponding to failure
+     */
+    const MpduRecordsPerNodeDevice_t& GetFailureRecords() const;
+
+  private:
+    /**
+     * @brief Callback for the WifiMacQueue::Enqueue trace
+     * @param nodeId the Node ID triggering the trace
+     * @param deviceId the Node ID triggering the trace
+     * @param mpdu The MPDU enqueued
+     */
+    void NotifyMacEnqueue(uint32_t nodeId, uint32_t deviceId, Ptr<const WifiMpdu> mpdu);
+    /**
+     * @brief Callback for the WifiPhy::PhyTxBegin trace
+     * @param nodeId the Node ID triggering the trace
+     * @param deviceId the Node ID triggering the trace
+     * @param pkt The frame being sent
+     */
+    void NotifyTxStart(uint32_t nodeId, uint32_t deviceId, Ptr<const Packet> pkt, Watt_u);
+    /**
+     * @brief Callback for the WifiMac::AckedMpdu trace
+     * @param nodeId the Node ID triggering the trace
+     * @param deviceId the Node ID triggering the trace
+     * @param mpdu The MPDU acked
+     */
+    void NotifyAcked(uint32_t nodeId, uint32_t deviceId, Ptr<const WifiMpdu> mpdu);
+    /**
+     * @brief Callback for the WifiMac::DroppedMpdu trace
+     * @param nodeId the Node ID triggering the trace
+     * @param deviceId the Node ID triggering the trace
+     * @param reason Reason for dropping the MPDU
+     * @param mpdu The MPDU dropped
+     */
+    void NotifyMacDropped(uint32_t nodeId,
+                          uint32_t deviceId,
+                          WifiMacDropReason reason,
+                          Ptr<const WifiMpdu> mpdu);
+
+    MpduRecordsPerNodeDevice_t m_successMap;      //!< The nested map of successful MPDUs
+    MpduRecordsPerNodeDevice_t m_failureMap;      //!< The nested map of failed MPDUs
+    std::map<uint64_t, MpduRecord> m_inflightMap; //!< In-flight MPDUs; key is a Packet UID
+    Time m_startTime;                             //!< The start time for recording statistics
+    Time m_stopTime{Time::Max()};                 //!< The stop time for recording statistics
+};
+
+} // namespace ns3
+
+#endif // WIFI_TX_STATS_HELPER_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/helper/yans-wifi-helper.h ns-3.44/src/wifi/helper/yans-wifi-helper.h
--- ns-3.43/src/wifi/helper/yans-wifi-helper.h	2024-10-09 16:41:10.112656800 -0700
+++ ns-3.44/src/wifi/helper/yans-wifi-helper.h	2025-03-09 16:55:49.779372700 -0700
@@ -17,7 +17,7 @@
 {
 
 /**
- * \brief manage and create wifi channel objects for the YANS model.
+ * @brief manage and create wifi channel objects for the YANS model.
  *
  * The intent of this class is to make it easy to create a channel object
  * which implements the YANS channel model. The YANS channel model is described
@@ -38,14 +38,14 @@
      * a channel model with a propagation delay equal to a constant, the speed of light,
      * and a propagation loss based on a log distance model with a reference loss of 46.6777 dB
      * at reference distance of 1m.
-     * \returns YansWifiChannelHelper
+     * @returns YansWifiChannelHelper
      */
     static YansWifiChannelHelper Default();
 
     /**
-     * \tparam Ts \deduced Argument types
-     * \param name the name of the model to add
-     * \param [in] args Name and AttributeValue pairs to set.
+     * @tparam Ts \deduced Argument types
+     * @param name the name of the model to add
+     * @param [in] args Name and AttributeValue pairs to set.
      *
      * Add a propagation loss model to the set of currently-configured loss models.
      * This method is additive to allow you to construct complex propagation loss models
@@ -59,9 +59,9 @@
     template <typename... Ts>
     void AddPropagationLoss(std::string name, Ts&&... args);
     /**
-     * \tparam Ts \deduced Argument types
-     * \param name the name of the model to set
-     * \param [in] args Name and AttributeValue pairs to set.
+     * @tparam Ts \deduced Argument types
+     * @param name the name of the model to set
+     * @param [in] args Name and AttributeValue pairs to set.
      *
      * Configure a propagation delay for this channel.
      */
@@ -69,7 +69,7 @@
     void SetPropagationDelay(std::string name, Ts&&... args);
 
     /**
-     * \returns a new channel
+     * @returns a new channel
      *
      * Create a channel based on the configuration parameters set previously.
      */
@@ -81,11 +81,11 @@
      * used in the propagation loss models.  Return the number of streams
      * (possibly zero) that have been assigned.
      *
-     * \param c NetDeviceContainer of the set of net devices for which the
+     * @param c NetDeviceContainer of the set of net devices for which the
      *          WifiNetDevice should be modified to use fixed streams
-     * \param stream first stream index to use
+     * @param stream first stream index to use
      *
-     * \return the number of stream indices assigned by this helper
+     * @return the number of stream indices assigned by this helper
      */
     int64_t AssignStreams(Ptr<YansWifiChannel> c, int64_t stream);
 
@@ -95,7 +95,7 @@
 };
 
 /**
- * \brief Make it easy to create and manage PHY objects for the YANS model.
+ * @brief Make it easy to create and manage PHY objects for the YANS model.
  *
  * The YANS PHY model is described in "Yet Another Network Simulator",
  * published in WNS2 2006; an author-prepared version of this paper
@@ -114,13 +114,13 @@
     YansWifiPhyHelper();
 
     /**
-     * \param channel the channel to associate to this helper
+     * @param channel the channel to associate to this helper
      *
      * Every PHY created by a call to Install is associated to this channel.
      */
     void SetChannel(Ptr<YansWifiChannel> channel);
     /**
-     * \param channelName The name of the channel to associate to this helper
+     * @param channelName The name of the channel to associate to this helper
      *
      * Every PHY created by a call to Install is associated to this channel.
      */
@@ -128,9 +128,9 @@
 
   private:
     /**
-     * \param node the node on which we wish to create a wifi PHY
-     * \param device the device within which this PHY will be created
-     * \returns newly-created PHY objects.
+     * @param node the node on which we wish to create a wifi PHY
+     * @param device the device within which this PHY will be created
+     * @returns newly-created PHY objects.
      *
      * This method implements the pure virtual method defined in \ref ns3::WifiPhyHelper.
      */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/addba-extension.h ns-3.44/src/wifi/model/addba-extension.h
--- ns-3.43/src/wifi/model/addba-extension.h	2024-10-09 16:41:10.116656800 -0700
+++ ns-3.44/src/wifi/model/addba-extension.h	2025-03-09 16:55:49.779372700 -0700
@@ -15,7 +15,7 @@
 {
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * The IEEE 802.11 ADDBA Extension Element (Sec. 9.4.2.139 of 802.11-2020)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/adhoc-wifi-mac.h ns-3.44/src/wifi/model/adhoc-wifi-mac.h
--- ns-3.43/src/wifi/model/adhoc-wifi-mac.h	2024-10-09 16:41:10.116656800 -0700
+++ ns-3.44/src/wifi/model/adhoc-wifi-mac.h	2025-03-09 16:55:49.779372700 -0700
@@ -17,16 +17,16 @@
 {
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
- * \brief Wifi MAC high model for an ad-hoc Wifi MAC
+ * @brief Wifi MAC high model for an ad-hoc Wifi MAC
  */
 class AdhocWifiMac : public WifiMac
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/ampdu-subframe-header.h ns-3.44/src/wifi/model/ampdu-subframe-header.h
--- ns-3.43/src/wifi/model/ampdu-subframe-header.h	2024-10-09 16:41:10.116656800 -0700
+++ ns-3.44/src/wifi/model/ampdu-subframe-header.h	2025-03-09 16:55:49.779372700 -0700
@@ -15,8 +15,8 @@
 {
 
 /**
- * \ingroup wifi
- * \brief Headers for A-MPDU subframes
+ * @ingroup wifi
+ * @brief Headers for A-MPDU subframes
  */
 class AmpduSubframeHeader : public Header
 {
@@ -25,8 +25,8 @@
     ~AmpduSubframeHeader() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -39,25 +39,25 @@
     /**
      * Set the length field.
      *
-     * \param length in bytes
+     * @param length in bytes
      */
     void SetLength(uint16_t length);
     /**
      * Set the EOF field.
      *
-     * \param eof set EOF field if true
+     * @param eof set EOF field if true
      */
     void SetEof(bool eof);
     /**
      * Return the length field.
      *
-     * \return the length field in bytes
+     * @return the length field in bytes
      */
     uint16_t GetLength() const;
     /**
      * Return the EOF field.
      *
-     * \return the EOF field
+     * @return the EOF field
      */
     bool GetEof() const;
     /**
@@ -65,7 +65,7 @@
      * signature field is correct, i.e. corresponds to the
      * unique pattern 0x4E.
      *
-     * \return true if the signature is valid, false otherwise
+     * @return true if the signature is valid, false otherwise
      */
     bool IsSignatureValid() const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/ampdu-tag.cc ns-3.44/src/wifi/model/ampdu-tag.cc
--- ns-3.43/src/wifi/model/ampdu-tag.cc	2024-10-09 16:41:10.116656800 -0700
+++ ns-3.44/src/wifi/model/ampdu-tag.cc	2025-03-09 16:55:49.779372700 -0700
@@ -30,7 +30,7 @@
 
 AmpduTag::AmpduTag()
     : m_nbOfMpdus(0),
-      m_duration(Seconds(0))
+      m_duration()
 {
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/ampdu-tag.h ns-3.44/src/wifi/model/ampdu-tag.h
--- ns-3.43/src/wifi/model/ampdu-tag.h	2024-10-09 16:41:10.116656800 -0700
+++ ns-3.44/src/wifi/model/ampdu-tag.h	2025-03-09 16:55:49.779372700 -0700
@@ -17,7 +17,7 @@
 {
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * The aim of the AmpduTag is to provide means for a MAC to specify that a packet includes A-MPDU
  * since this is done in HT-SIG and there is no HT-SIG representation in ns-3
@@ -26,8 +26,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -42,26 +42,26 @@
      */
     AmpduTag();
     /**
-     * \param nbOfMpdus the remaining number of MPDUs
+     * @param nbOfMpdus the remaining number of MPDUs
      *
      * Set the remaining number of MPDUs in the A-MPDU.
      */
     void SetRemainingNbOfMpdus(uint8_t nbOfMpdus);
     /**
-     * \param duration the remaining duration of the A-MPDU
+     * @param duration the remaining duration of the A-MPDU
      *
      * Set the remaining duration of the A-MPDU.
      */
     void SetRemainingAmpduDuration(Time duration);
 
     /**
-     * \return the remaining number of MPDUs in an A-MPDU
+     * @return the remaining number of MPDUs in an A-MPDU
      *
      * Returns the remaining number of MPDUs in an A-MPDU
      */
     uint8_t GetRemainingNbOfMpdus() const;
     /**
-     * \return the remaining duration of an A-MPDU
+     * @return the remaining duration of an A-MPDU
      *
      * Returns the remaining duration of an A-MPDU
      */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/amsdu-subframe-header.h ns-3.44/src/wifi/model/amsdu-subframe-header.h
--- ns-3.43/src/wifi/model/amsdu-subframe-header.h	2024-10-09 16:41:10.116656800 -0700
+++ ns-3.44/src/wifi/model/amsdu-subframe-header.h	2025-03-09 16:55:49.779372700 -0700
@@ -16,8 +16,8 @@
 {
 
 /**
- * \ingroup wifi
- * \brief Headers for A-MSDU subframes
+ * @ingroup wifi
+ * @brief Headers for A-MSDU subframes
  */
 class AmsduSubframeHeader : public Header
 {
@@ -26,8 +26,8 @@
     ~AmsduSubframeHeader() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -39,32 +39,32 @@
 
     /**
      * Set destination address function
-     * \param to the destination MAC address
+     * @param to the destination MAC address
      */
     void SetDestinationAddr(Mac48Address to);
     /**
      * Set source address function
-     * \param to the source MAC address
+     * @param to the source MAC address
      */
     void SetSourceAddr(Mac48Address to);
     /**
      * Set length function
-     * \param length the length in bytes
+     * @param length the length in bytes
      */
     void SetLength(uint16_t length);
     /**
      * Get destination address function
-     * \returns the destination MAC address
+     * @returns the destination MAC address
      */
     Mac48Address GetDestinationAddr() const;
     /**
      * Get source address function
-     * \returns the source MAC address
+     * @returns the source MAC address
      */
     Mac48Address GetSourceAddr() const;
     /**
      * Get length function
-     * \returns the length in bytes
+     * @returns the length in bytes
      */
     uint16_t GetLength() const;
 
